## Class Auth_OpenID_Decoder

Description

Decode an incoming query into an Auth_OpenID_Request.

Located in /Auth/OpenID/Server.php (line 1514)

Method Summary
Auth_OpenID_Decoder Auth_OpenID_Decoder ( &$server)
void decode ( $query)
void defaultDecoder ( $message)
Methods
Constructor Auth_OpenID_Decoder (line 1516)
Auth_OpenID_Decoder Auth_OpenID_Decoder ( &$server)

- &$server

decode (line 1532)

Given an HTTP query in an array (key-value pairs), decode it into an Auth_OpenID_Request object.

void decode ( $query)

- $query

defaultDecoder (line 1579)
void defaultDecoder ( $message)

- $message

Documentation generated on Tue, 21 Apr 2009 11:31:32 -0700 by phpDocumentor 1.3.2